%global destdir /usr/share/mattermost-desktop

Name:           mattermost-desktop
Version:        3.5.0
Release:        3%{?dist}
Summary:        Mattermost Desktop application
Group:          Applications/Internet
License:        Apache v2
Url:		https://github.com/mattermost/desktop
Source0:        https://releases.mattermost.com/desktop/%{version}/%{name}-%{version}-linux-x64.tar.gz
BuildArch:	x86_64
AutoReq:	no

Conflicts: mattermost-desktop-src

%description
Native desktop application for Mattermost running on Windows, Mac and Linux.

Originally created as "electron-mattermost" by Yuya Ochiai. Developed using 
Electron.

Features:

 * Pre-packaged: You don't have to install any other software.
 * Tabs for multiple teams across multiple servers
 * Desktop Notifications
   * Windows 10: Toast
   * Windows 7-8.1: Balloon (fallback behavior, so lesser support)
   * OS X: Notification Center
   * Linux: libnotify
 * Badges for unread channels and mentions
 * Installs as native application


%prep
%autosetup -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{destdir}
mv * $RPM_BUILD_ROOT%{destdir}

mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s %{destdir}/mattermost-desktop $RPM_BUILD_ROOT%{_bindir}/mattermost-desktop


%files
%defattr(-,root,root)
%doc %{destdir}/LICENSE
%{destdir}/*
%{_bindir}/mattermost-desktop

%changelog
* Wed Dec 14 2016 Alexander Pavel <anp120@nbcs.rutgers.edu> - 3.5.0-3
- Add "Conflicts:" statement for mattermost-desktop-src

* Wed Dec 14 2016 Alexander Pavel <anp120@nbcs.rutgers.edu> - 3.5.0-2
- Fix executable name (name changed from Mattermost to mattermost-desktop)

* Wed Dec 14 2016 Alexander Pavel <anp120@nbcs.rutgers.edu> - 3.5.0-1
- Version bump

* Mon Oct 3 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 3.4.1-1
- Version bump

* Thu Sep 22 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 3.4.0-1
- Version bump

* Wed Aug 31 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 1.3.0-2
- Disable automatic requisites

* Wed Aug 31 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 1.3.0-1
- Initial build for Rutgers CentOS 7

